From mboxrd@z Thu Jan  1 00:00:00 1970
From: Klemens Nanni <klemens@posteo.de>
To: list+catgirl@causal.agency
Cc: Klemens Nanni <klemens@posteo.de>
Subject: [PATCH] OpenBSD: pledge final promises earlier
Date: Mon, 14 Jun 2021 13:13:23 +0000
Message-Id: <20210614131323.73587-1-klemens@posteo.de>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit

No need to wait for so long.

This also brings all the pledge code on one screen and helps show how
ircConnect() is the only relevant part in between initial and final
promises.
---
 chat.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/chat.c b/chat.c
index 6cc7a6b..dc6eaad 100644
--- a/chat.c
+++ b/chat.c
@@ -315,6 +315,12 @@ int main(int argc, char *argv[]) {
 	
 	int irc = ircConnect(bind, host, port);
 
+#ifdef __OpenBSD__
+	error = pledge(promisesFinal, NULL);
+	if (error) err(EX_OSERR, "pledge");
+	free(promisesFinal);
+#endif
+
 	if (pass) ircFormat("PASS :%s\r\n", pass);
 	if (sasl) ircFormat("CAP REQ :sasl\r\n");
 	ircFormat("CAP LS\r\n");
@@ -343,12 +349,6 @@ int main(int argc, char *argv[]) {
 		fcntl(execPipe[1], F_SETFD, FD_CLOEXEC);
 	}
 
-#ifdef __OpenBSD__
-	error = pledge(promisesFinal, NULL);
-	if (error) err(EX_OSERR, "pledge");
-	free(promisesFinal);
-#endif
-
 	struct pollfd fds[] = {
 		{ .events = POLLIN, .fd = STDIN_FILENO },
 		{ .events = POLLIN, .fd = irc },
-- 
2.32.0


From mboxrd@z Thu Jan  1 00:00:00 1970
Mime-Version: 1.0
Message-Id: <bd2678fc-9780-4a43-bc80-6878764b70f5@www.fastmail.com>
In-Reply-To: <20210614131323.73587-1-klemens@posteo.de>
References: <20210614131323.73587-1-klemens@posteo.de>
Date: Mon, 14 Jun 2021 17:21:15 -0400
From: june <june@causal.agency>
To: "Klemens Nanni" <klemens@posteo.de>, list+catgirl@causal.agency
Subject: Re: [PATCH] OpenBSD: pledge final promises earlier
Content-Type: text/plain

Applied.

